Php 5.2.0

3rd Party Package Requesting

Postby lgrfbs » Wed Jan 03, 2007 5:14 pm

Hi
I want to have a packages like this "perl_5.6.1_dingetje" but for PHP 5.2.0
in freesco 0.3.5.

<a href='http://www.php.net/' target='_blank'>http://www.php.net/</a>
Freesco - PicoPhone & NetMeeting: robb-h.mine.nu
Intressanta hemsidor: JemtRallarna LGR FBS Min Labbsida
Fel 404 = Felet är 404mm från skärmen.
User avatar
lgrfbs
Junior Advanced Member
 
Posts: 100
Joined: Mon Mar 01, 2004 5:37 pm
Location: Jamtland

Postby dingetje » Sat Jan 06, 2007 6:07 pm

Sorry your request isn't detailed enough, PHP has like a zillion configuration options, so what are the minimum requirements? Also PHP can be used standalone from the command line, but gained its huge popularity in combination with the Apache web server, so I assume you also want the PHP 5.2.0 loadable module for Apache?

Oh, and one other remark: some PHP modules can be quite difficult to compile, due to their high demands on libraries to be present on the target system (system requirements). This makes this request fall in the category "easier said than done" ;)
GreetZ
http://dingetje.hopto.org

"Software is like sex: it's better when it's free." - LINUS TORVALDS
User avatar
dingetje
FREESCO GURU !!
 
Posts: 1010
Joined: Wed Nov 14, 2001 12:13 pm
Location: The Netherlands

Postby lgrfbs » Tue Jan 09, 2007 11:05 am

Sad that I not was more detailed in my the first post.

webb server & not need install another webb server and the
new PHP package shall do like that too.

I want too keep the webbserver that is standard in Freesco
and just add the possibility that run PHP script on the
along with Perl.


So I want to run this on Freesco 0.3.5:
* Standard Webbservern (thttpd)
* perl_5.6.1_dingetje
* PHP_5.2.0_{Some ones name here}
Freesco - PicoPhone & NetMeeting: robb-h.mine.nu
Intressanta hemsidor: JemtRallarna LGR FBS Min Labbsida
Fel 404 = Felet är 404mm från skärmen.
User avatar
lgrfbs
Junior Advanced Member
 
Posts: 100
Joined: Mon Mar 01, 2004 5:37 pm
Location: Jamtland

Postby dingetje » Tue Jan 09, 2007 4:33 pm

Unfortunally that is not possible with the standard thttpd server in FREESCO, you need a patched version to enable it to run PHP as well. The disadvantage of that solution is also that PHP runs as a CGI script and thus the server can host only one PHP script at a time. The advantage of this solution is that you don't need such a "heavy" machine as for Apache web server.
In the past Icy K has made a package called thttpd+ that included a patched thttpd web server with PHP 4.x support. I have a copy of that package on my site, you can install it with (if you want to give it a try):

Code: Select all
pkg -i http://dingetje.homeip.net/packages/0.3.x/IcyK/thttpd+_php-4.2.3_the.icy.k
GreetZ
http://dingetje.hopto.org

"Software is like sex: it's better when it's free." - LINUS TORVALDS
User avatar
dingetje
FREESCO GURU !!
 
Posts: 1010
Joined: Wed Nov 14, 2001 12:13 pm
Location: The Netherlands

Postby lgrfbs » Tue Jan 09, 2007 4:58 pm

I run just that package in my last Freesco, and unfortunately just thet packages had little hard to work along with perl_5.6.1_dingetje because that I wanted have a new package too my new freesco setup and more happy that work along with perl_5.6.1_dingetje.
Freesco - PicoPhone & NetMeeting: robb-h.mine.nu
Intressanta hemsidor: JemtRallarna LGR FBS Min Labbsida
Fel 404 = Felet är 404mm från skärmen.
User avatar
lgrfbs
Junior Advanced Member
 
Posts: 100
Joined: Mon Mar 01, 2004 5:37 pm
Location: Jamtland

Postby Lightning » Tue Jan 09, 2007 7:44 pm

I ran a lot of test with Apache versus thttpd+, thttpd and I can say that hands down the thttpd web server runs WAY better than Apache in terms of CPU usage and response. However when you add the PHP addon in thttpd+ the results are completely oposite and with PHP pages Apache has a huge advantage over thttpd+ in all apsects.
If you are afraid that you might make a mistake. The chances are high that you will never learn anything.
User avatar
Lightning
FREESCO GOD !!
 
Posts: 12081
Joined: Wed Nov 14, 2001 6:50 am
Location: Oregon, USA

Postby lgrfbs » Thu Jan 18, 2007 5:13 pm

Why must PHP patched webserver & not Perl?

What happens if I intallerar packages in this orning:
thttpd+_php-4.2.3_the.icy.k
perl_5.6.1_dingetje

compare too:
perl_5.6.1_dingetje
thttpd+_php-4.2.3_the.icy.k

I think that I shall install Apache and then
PHP and Perl
Freesco - PicoPhone & NetMeeting: robb-h.mine.nu
Intressanta hemsidor: JemtRallarna LGR FBS Min Labbsida
Fel 404 = Felet är 404mm från skärmen.
User avatar
lgrfbs
Junior Advanced Member
 
Posts: 100
Joined: Mon Mar 01, 2004 5:37 pm
Location: Jamtland

Postby lgrfbs » Thu Jan 18, 2007 5:17 pm

then is seems too be the "correct" way too go.

Thanks for all help.
Freesco - PicoPhone & NetMeeting: robb-h.mine.nu
Intressanta hemsidor: JemtRallarna LGR FBS Min Labbsida
Fel 404 = Felet är 404mm från skärmen.
User avatar
lgrfbs
Junior Advanced Member
 
Posts: 100
Joined: Mon Mar 01, 2004 5:37 pm
Location: Jamtland

Postby lgrfbs » Thu Jan 18, 2007 5:29 pm

I gets error 406 then I write "long" text on this forum.
Her is a videodump of the problem(~9Mb file):
http://lgrfbs.dyndns.org/q/C39103051091.avi
Freesco - PicoPhone & NetMeeting: robb-h.mine.nu
Intressanta hemsidor: JemtRallarna LGR FBS Min Labbsida
Fel 404 = Felet är 404mm från skärmen.
User avatar
lgrfbs
Junior Advanced Member
 
Posts: 100
Joined: Mon Mar 01, 2004 5:37 pm
Location: Jamtland


Return to 3rd Party Package Requesting

Who is online

Users browsing this forum: No registered users and 5 guests

cron